DocsAPI referenceShopsA shop's emails
A shop's emails
GET
/api/v1/shops/{domain}/emailsMarketing emails this shop sent, newest first.
Bearer API keyMCP tool
search_emailsPath parameters
domainstringrequiredStore domain.
Query parameters
limitintegerdefault 20Results per page, 1–50.
cursorstringThe next_cursor of the previous page.
Try it
GET
/api/v1/shops/pawfect.co/emailscurl "https://provly.co/api/v1/shops/pawfect.co/emails" \
-H "Authorization: Bearer $PROVLY_API_KEY"200 · Response
{
"data": [
{
"id": "em_7298813",
"sent_at": "2026-09-21T09:12:00.000Z",
"subject": "%30 indirim sadece bu hafta 🐾",
"preheader": "AutoBox'ta sezonun en iyi fiyatı",
"sender": "Pawfect Co.",
"campaign_type": "Newsletter",
"category": "Promotional Campaign",
"promotion_type": "Discount %",
"event": null,
"language": "turkish",
"country": "TR",
"screenshot": "https://media.provly.co/emails/em_7298813.png",
"shop": {
"domain": "pawfect.co",
"name": "Pawfect Co.",
"active_ads": 42
},
"body_preview": "Kedinizin kumunu 14 gün boyunca unutun…"
}
],
"pagination": {
"total": 1284,
"next_cursor": "1726908720000"
}
}